Skip to content
The API may change between versions while TTX-Zone is 0.x.

Login challenge

POST
/api/v1/auth/login/challenge
curl --request POST \
--url https://example.com/api/v1/auth/login/challenge \
--header 'Content-Type: application/json' \
--data '{ "mfa_pending_token": "example" }'

The methods of a pending challenge, for a sign-in page that only has its token (single sign-on hands it over in the address fragment).

Media typeapplication/json
MfaChallengeRequest
object
mfa_pending_token
required
Mfa Pending Token
string
>= 1 characters

Example generated

{
"mfa_pending_token": "example"
}

Successful Response

Media typeapplication/json
MfaChallengeResponse
object
mfa_methods
required
Mfa Methods
Array<string>
Allowed values: totp email backup_code
mfa_preferred
required
Any of:
string
Allowed values: totp email

Example

{
"mfa_methods": [
"totp"
],
"mfa_preferred": "totp"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string

Example generated

{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}